Skip to main content
GET
/
recipients
List Recipients
curl --request GET \
  --url https://api-sandbox.y.uno/v1/recipients \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "data": [
    {
      "id": "9104911d-5df9-429e-8488-ad41abea1a4b",
      "account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
      "merchant_recipient_id": "AAAA01",
      "national_entity": "INDIVIDUAL",
      "first_name": "John",
      "last_name": "Doe",
      "email": "john.doe@email.com",
      "country": "CO",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 20,
    "offset": 0,
    "has_more": false
  }
}
Retrieves a list of recipients for the authenticated account. Supports pagination and filtering.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Query Parameters

limit
integer
default:20

Maximum number of recipients to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of recipients to skip for pagination

Required range: x >= 0
national_entity
enum<string>

Filter recipients by national entity type

Available options:
INDIVIDUAL,
ENTITY
country
string

Filter recipients by country

Response

List of recipients retrieved successfully

data
object[]
pagination
object